@CHARSET "UTF-8";

body{
	font-size: 110%;
}

#toolBox{
	width: 320px;
	height: 36px;
	float: left;
	padding: 7px;
	border-radius: 10px;
}

#prompt{
	width: 850px;
	overflow: hidden;
	padding: 7px;
	border-radius: 10px;
}

.checkSolution{
    background-color: transparent;
	width:42px;
	height:42px;
}

.errorValue{
	font-weight: bold;
}

.correctValue{
	font-weight: bold;
}

.toolButton{
    opacity: 0.5;
    filter: alpha(opacity=50); /* For IE8 and earlier */
    background-color: transparent;
	width:36px;
	height:36px;
}

.toolButton:hover{
    opacity: 1.0;
    filter: alpha(opacity=100); /* For IE8 and earlier */
    background-color: transparent;
}

#exerciseArea{
	width: 99%;
	overflow: hidden;
	line-height: 125%;
	padding: 7px;
	border-radius: 8px;
}

#resultsArea{
	width: 45%;
	float: left;
	padding: 15px 0 0 15px;
	border-radius: 10px;
	position: absolute;
	text-shadow: none;
	background-color: BlanchedAlmond;
    box-shadow: 5px 10px 18px #888888;
}

#messageArea{
	width: 45%;
	float: left;
	padding: 15px 0 0 15px;
	border-radius: 10px;
	position: absolute;
	text-shadow: none;
	background-color: Ivory;
    box-shadow: 5px 10px 18px #888888;
    overflow: auto;
}


.resultsView{
	border-radius: 8px;
	width: 34%;
	float: left;
}

.exerciseCode{
	border-radius: 8px;
	width: 34%;
	float: left;
	padding: 0 0 15px 15px;
}

#studentCodeDIV{
	position: absolute;
}

#solutionResultsDIV{
	position: absolute;
}

#studentCode{
	white-space:pre;
}

#sourceCode{
	white-space:pre;
}

.toChange{
    margin-bottom: 10px;
    padding: 1px;
    outline: 2px solid #CCC;
}

.toChange:hover{
    outline: 2px solid #0090D2;
}

#showHelp{
	text-decoration: none;
}

#showOptions{
	text-decoration: none;
}

#titleAndInfo{
    width: auto;
    margin-right: 0px;
    margin-left: auto;	
}

.reservedWord{
	color: blue;
	font-weight: bold;
}

.showValues{
	color: darkRed;
	font-weight: bold;
	font-family: Helvetica, sans-serif;
	font-size: 1vw;
	background-color: Khaki;
	border-width: 2px;
	border-style: solid;
	border-color: IndianRed;
	border-radius: 5px;
	box-shadow: 7px 7px 18px #888888;
	line-height: 110%;
}

#btnPlaySource, #btnPlayStudent{
	width: 150px;
}

.simulatingCode{
	background-color: FloralWhite; 
	color: green;
	font-weight: bold;
}

#originalResults{
	border-style: solid;
    border-width: 1px;
    overflow: auto;
    padding: 15px 5px 15px 15px;
    max-height: 80px;
    position: absolute;
}

#studentResults{
	border-style: solid;
    border-width: 1px;
    overflow: auto;
    padding: 15px 5px 15px 15px;
    max-height: 80px;
    position: absolute;
}

#helpContent{
	overflow: auto;
}